import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';
import 'package:phoenix_widgets/phoenix_widgets.dart';

class PhoenixBottomSheetTilePage extends StatefulWidget {
  const PhoenixBottomSheetTilePage({Key? key}) : super(key: key);

  @override
  _PhoenixBottomSheetTilePageState createState() =>
      _PhoenixBottomSheetTilePageState();
}

class _PhoenixBottomSheetTilePageState
    extends State<PhoenixBottomSheetTilePage> {
  final PhoenixBottomSheetTile _bottomSheetHowItWorks =
      PhoenixBottomSheetTile();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        backgroundColor: Colors.white,
        appBar: AppBar(
          title: const Text('Phoenix Bottom Sheet Tile Sample'),
        ),
        body: Center(
            child: ElevatedButton(
          child: const Text("Show All Products"),
          onPressed: () {
            _bottomSheetHowItWorks(
              context,
              title: 'Title of bottom sheet',
              style: const TextStyle(
                color: Color(0xFF212124),
                fontSize: 16,
                fontWeight: FontWeight.w500,
              ),
              child: Container(
                margin: const EdgeInsets.only(bottom: 45.0),
                child: CustomScrollView(
                  shrinkWrap: true,
                  slivers: [
                    PhoenixProductTiles(
                      onTap: (index) {},
                      items: _items,
                    )
                  ],
                ),
              ),
            );
          },
        )));
  }
}

final List<PhoenixProductItem> _items = [
  PhoenixProductItem(
      "Tile 1",
      SvgPicture.asset(
        "assets/education.svg",
        width: 46,
        height: 46,
      )),
  PhoenixProductItem(
      "Tile 2",
      SvgPicture.asset(
        "assets/education.svg",
        width: 46,
        height: 46,
      )),
  PhoenixProductItem(
      "Tile 3",
      SvgPicture.asset(
        "assets/education.svg",
        width: 46,
        height: 46,
      ),
      label: "Coming Soon"),
  PhoenixProductItem(
      "Tile 4",
      SvgPicture.asset(
        "assets/education.svg",
        width: 46,
        height: 46,
      ),
      label: "Coming Soon"),
  PhoenixProductItem(
      "Tile 5",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      )),
  PhoenixProductItem(
      "Tile 6",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      )),
  PhoenixProductItem(
      "Tile 7",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      ),
      label: "Coming Soon"),
  PhoenixProductItem(
      "Tile 8",
      Image.asset(
        "assets/tab_home.png",
        width: 45,
        height: 45,
      ),
      label: "Coming Soon"),
];
